Package org.eclipse.remote.core

# Interface IRemoteConnectionPropertyService

All Superinterfaces:
  `IRemoteConnection.Service`

public interface IRemoteConnectionPropertyService extends IRemoteConnection.Service
A connection property is some descriptive information that's discovered about the connection. This service provides property values for a connection. Examples include:

     os.name                        Operating system name
     os.arch                        Operating system architecture
     os.version             Operating system version
     file.separator File separator ("/" on UNIX)
     path.separator Path separator (":" on UNIX)
     line.separator Line separator ("\n" on UNIX)
     user.home              Home directory

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`IRemoteConnection.Service.Factory`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProperty(String key)`
Gets the remote system property indicated by the specified key.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`getRemoteConnection`

## Method Details

### getProperty

String getProperty(String key)
Gets the remote system property indicated by the specified key. The connection must be open prior to calling this method.

Parameters:
  `key` - the name of the property
Returns:
  the string value of the property, or null if no property has that key